Module org.apache.sis.referencing.gazetteer
Package org.apache.sis.referencing.gazetteer

# Enum Class GeohashReferenceSystem.Format

Object
Enum<GeohashReferenceSystem.Format>
Format

All Implemented Interfaces:
  `Serializable`, `Comparable<GeohashReferenceSystem​.Format>`, `Constable`

Enclosing class:
  `GeohashReferenceSystem`

public static enum GeohashReferenceSystem.Format extends Enum<GeohashReferenceSystem.Format>
The encoding format used by `GeohashReferenceSystem​.Coder`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASE32`
  Format consisting of 32 symbols used at `http://geohash​.org`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GeohashReferenceSystem​.Format`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GeohashReferenceSystem​.Format[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BASE32

    public static final GeohashReferenceSystem.Format BASE32
    Format consisting of 32 symbols used at `http://geohash​.org`. This encoding uses digits 0 to 9, and lower-case letters `'b'` to `'z'` excluding `'i'`, `'l'` and `'o'`. Decoding is case-insensitive.

- ## Method Details

  - ### values

    public static GeohashReferenceSystem.Format[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GeohashReferenceSystem.Format valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null